%define section         free

# To make the tarball:
# svn export -r {2005-10-20} http://svn.apache.org/repos/asf/webservices/wss4j/branches/WSS4J_1_1_0_FINAL/ wss4j

Name:		wss4j
Summary:	Implementation of the OASIS Web Services Security
Version: 	1.1.0
Release:	1jpp_1rh
Epoch:		0

URL: 		http://ws.apache.org/wss4j/
License: 	Apache Public License v2.0
Group: 		Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0: 	%{name}-%{version}.tgz

Patch0:		wss4j-modify-loader.patch
Patch1:		wss4j-disable-tests.patch

#BuildRequires:	junit >= 3.8
BuildRequires:	maven >= 1.0.2
BuildRequires:	maven-plugins-base >= 1.0.2
BuildRequires:	maven-plugin-license >= 1.0.2
BuildRequires:	maven-plugin-test >= 1.0.2
BuildRequires:	maven-plugin-xdoc >= 1.0.2
BuildRequires:	axis >= 1.2.1
# We don't ship BC as it contains the proprietary IDEA algorithm
#BuildRequires:	bouncycastle-jdk1.4 >= 1.27
BuildRequires:	jakarta-commons-codec >= 1.3
BuildRequires:	jakarta-commons-discovery >= 0.2
BuildRequires:	jakarta-commons-httpclient >= 2.0.2
BuildRequires:	jakarta-commons-logging >= 1.0.4
BuildRequires:	log4j >= 1.2.8
BuildRequires:	opensaml >= 1.1b
BuildRequires:	ws-fx-addressing >= 1.0
BuildRequires:	wsdl4j >= 1.5.1
BuildRequires:	xalan-j2 >= 2.6.0
BuildRequires:	xerces-j2 >= 2.6.2
BuildRequires:	xml-commons-apis >= 0:1.3.02
BuildRequires:	xml-security >= 1.2.1
Requires:		axis >= 1.2.1
#Requires:		bouncycastle-jdk1.4 >= 1.27
Requires:		jakarta-commons-codec >= 1.3
Requires:		jakarta-commons-discovery >= 0.2
Requires:		jakarta-commons-httpclient >= 2.0.2
Requires:		jakarta-commons-logging >= 1.0.4
Requires:		log4j >= 1.2.8
Requires:		opensaml >= 1.1b
Requires:		ws-fx-addressing >= 1.0
Requires:		wsdl4j >= 1.5.1
Requires:		xalan-j2 >= 2.6.0
Requires:		xerces-j2 >= 2.6.2
Requires:		xml-commons-apis >= 0:1.3.02
Requires:		xml-security >= 1.2.1

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description 
Apache WSS4J is an implementation of the OASIS Web Services Security
(WS-Security) from OASIS Web Services Security TC. WSS4J is a
primarily a Java library that can be used to sign and verify SOAP
Messages with WS-Security information. WSS4J will use Apache Axis and
Apache XML-Security projects and will be interoperable with JAX-RPC
based server/clients and .NET server/clients.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

rm -f endorsed/*
find lib -name "*.jar" | xargs rm -f

build-jar-repository endorsed \
					xerces-j2 \
					xml-commons-apis

# Removed from the listbelow
#   bouncycastle/bcprov

build-jar-repository lib \
					axis/axis \
					axis/axis-ant \
					axis/jaxrpc \
					axis/saaj \
					jakarta-commons-codec \
					jakarta-commons-discovery \
					jakarta-commons-httpclient \
					jakarta-commons-logging \
					log4j \
					opensaml \
					ws-fx-addressing \
					wsdl4j \
					xalan-j2 \
					xml-security

%patch0
%patch1

%build
export MAVEN_HOME_LOCAL=$(pwd)/.maven
maven \
		-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository jar:jar javadoc:generate

%install
rm -rf $RPM_BUILD_ROOT

# main package
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/wss4j-1.0.jar \
    $RPM_BUILD_ROOT%{_javadir}/wss4j-%{version}.jar
ln -s wss4j-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/wss4j.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* \
    $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/wss4j-%{version}.jar
%{_javadir}/wss4j.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Oct 21 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1.0-1jpp_1rh
- First red Hat build

* Thu Oct 20 2005 Deepak Bhole <dbhole@redhat.com> 0:1.1.0-1jpp
- Initial build.
